Subject: [XCON] Floor Control: Charter.

From: fluffy at cisco.com (Cullen Jennings)
Date: Sun Aug 10 13:02:37 2003

I don't see voting as being integral for floor control. I think we can
define a useful floor control system without doing voting. No one is going
to try and break voting, it's just a hard problem - I'm happy to have it out
of scope for the initial round of stuff.

Cullen

On 7/22/03 8:17, "Orit Levin" <[email-masked]> wrote:

> I am afraid I share some of the concerns expressed by Avshalom.
> 
> The reason for including the basic Floor Control Protocol as a part of XCON
> is to be able to use it as the tool for building various applications when
> "lecture with questions/answers" and "voting" being some of them.
> 
> Therefore I suggest including the motivation as a part of the Charter:
> 
> "The basic Floor Control Protocol will provide the tools for building
> conferencing applications such as lecture with questions/answers and voting.
> Standardization of the Floor Control applications is out of scope of XCON"
> 
> and removing the stand-alone "out-of-scope Voting" statement because it is
> one of the many examples only.
> 
> Orit.
> 
> 
>> -----Original Message-----
>> From: Avshalom Houri [mailto:[email-masked]]
>> Sent: Thursday, July 17, 2003 5:12 AM
>> To: Jonathan Rosenberg
>> Cc: Rosen, Brian; [email-masked]
>> Subject: Re: [XCON] Charter
>> 
>> Voting is only an example of some type of floor control given to all
>> participants for a certain period of time. If people feel that it can be
>> easily added on I would agree with Brian, Jonathan & Henning. We really
>> need to get this going.
>> 
>> Avshalom
>> 
>> 
>> 
>> 
>> Jonathan Rosenberg <[email-masked]>
>> 17/07/2003 11:50 AM
>> 
>> To
>> "Rosen, Brian" <[email-masked]>
>> cc
>> Avshalom Houri/Haifa/IBM@IBMIL, [email-masked]
>> Subject
>> Re: [XCON] Charter
>> 
>> 
>> 
>> 
>> 
>> 
>> I agree with Brian.
>> 
>> There is already a lot of work on the proposed charter. Let us get
>> that done first.
>> 
>> -Jonathan R.
>> 
>> Rosen, Brian wrote:
>> 
>>> While I don't necessarily oppose the inclusion of voting, I find the
>>> arguments here to not be convincing.
>>> 
>>> I think voting is a simple request/response mechanism - you send out
>>> a request for vote and you get a vote in response.  There could be
>>> significant security implications on voting (for example, you may need
>>> non-repudiation).  However, I think the vote object itself can
>>> carry all the security itself, it won't affect the media or conference
>>> policy stuff at all.
>>> 
>>> Now, I do assume that the vote recorder is architecturally part of
>>> the conference policy server.  I don't want to see a protocol between
>>> the cps and the vote recorder.
>>> 
>>> For these reasons, I think voting can be considered as an add-on
>>> at any time.
>>> 
>>> Brian
>>> 
>>> 
>>>> -----Original Message-----
>>>> From: Avshalom Houri [mailto:[email-masked]]
>>>> Sent: Thursday, July 17, 2003 4:04 AM
>>>> To: [email-masked]
>>>> Subject: Re: [XCON] Charter
>>>> 
>>>> 
>>>> I agree that voting should be added. It is not complex as the
>>>> other issues
>>>> and seems to be a thing that should
>>>> designed from the beginning.
>>>> In other words I am not sure that it is a layer that can be
>>>> added later
>>>> easily. Another point for voting is that it will
>>>> certainly have some requirements on the presence protocols
>>>> that will be
>>>> used for the controlling the conference.
>>>> 
>>>> Avshalom
>>>> 
>>>> 
>>>> 
>>>> 
>>>> "Kozdon, Peter" <[email-masked]>
>>>> Sent by: [email-masked]
>>>> 17/07/2003 12:50 AM
>>>> 
>>>> To
>>>> [email-masked]
>>>> cc
>>>> 
>>>> Subject
>>>> [XCON] Charter
>>>> 
>>>> 
>>>> 
>>>> 
>>>> 
>>>> 
>>>> Can someone please help me understand why Voting is excluded
>>>> from the
>>>> scope
>>>> of XCON.
>>>> 
>>>> I can understand why the actual vote counting, aggregation,
>>>> etc.. should
>>>> be
>>>> left to the implementation, however, the capability to make a
>>>> vote should
>>>> be
>>>> provided. This capability should be included in Conference
>>>> Control in the
>>>> same manner as "raise hand" to get attention, slow down
>>>> instruction to the
>>>> presenter, and similar actions.
>>>> 
>>>> 
>>>> Thanks
>>>> 
>>>> Peter Kozdon
>>>> _______________________________________________
>>>> XCON mailing list
>>>> [email-masked]
>>>> http://www.softarmor.com/mailman/listinfo/xcon
>>>> 
>>>> _______________________________________________
>>>> XCON mailing list
>>>> [email-masked]
>>>> http://www.softarmor.com/mailman/listinfo/xcon
>>>> 
>>> 
>>> _______________________________________________
>>> XCON mailing list
>>> [email-masked]
>>> http://www.softarmor.com/mailman/listinfo/xcon
>>> 
>> 
>> --
>> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
>> Chief Technology Officer                    Parsippany, NJ 07054-2711
>> dynamicsoft
>> [email-masked]                     FAX:   (973) 952-5050
>> http://www.jdrosen.net                      PHONE: (973) 952-5000
>> http://www.dynamicsoft.com
>> 
>> 
>> _______________________________________________
>> XCON mailing list
>> [email-masked]
>> http://www.softarmor.com/mailman/listinfo/xcon
> _______________________________________________
> XCON mailing list
> [email-masked]
> http://www.softarmor.com/mailman/listinfo/xcon
>